Meals
GET /v1/nutrition/meals
List meal logs with macro/micro breakdown. Scope: nutrition:read
Parameters
| Param | Type | Required | Description |
|---|---|---|---|
start_date | YYYY-MM-DD | Yes | Start of date range |
end_date | YYYY-MM-DD | Yes | End of date range |
limit | 1-100 | No | Page size (default 50) |
starting_after | string | No | Cursor for next page |
meal_type | string | No | breakfast, lunch, dinner, snack |
Example
curl "https://suna.health/api/v1/nutrition/meals?start_date=2026-03-10&end_date=2026-03-17" \
-H "Authorization: Bearer suna_sk_live_xxx"Response
{
"object": "list",
"data": [{
"object": "nutrition.meal",
"id": "...",
"day": "2026-03-16",
"timestamp": "2026-03-16T12:30:00Z",
"meal_type": "lunch",
"description": "chicken breast with rice",
"macros": { "calories": 650, "protein_g": 45.0, "carbs_g": 60.0, "fat_g": 18.0 },
"micros": { "sodium_mg": 480.0, "caffeine_mg": null },
"foods": [{ "name": "chicken breast", "calories": 330 }]
}],
"has_more": false
}GET /v1/nutrition/meals/{id}
Get a single meal by ID. Same response shape as list items.